Loading...
Searching...
No Matches
_ResourceInfo Struct Reference

## Data Fields

MagickOffsetType | width
MagickOffsetType | height
MagickOffsetType | list_length
MagickOffsetType | area
MagickOffsetType | memory
MagickOffsetType | map
MagickOffsetType | disk
MagickOffsetType | file
MagickOffsetType | thread
MagickOffsetType | throttle
MagickOffsetType | time
MagickSizeType | width_limit
MagickSizeType | height_limit
MagickSizeType | list_length_limit
MagickSizeType | area_limit
MagickSizeType | memory_limit
MagickSizeType | map_limit
MagickSizeType | disk_limit
MagickSizeType | file_limit
MagickSizeType | thread_limit
MagickSizeType | throttle_limit
MagickSizeType | time_limit

## Detailed Description

Definition at line 80 of file resource.c.

## Field Documentation

## area

MagickOffsetType _ResourceInfo::area

Definition at line 86 of file resource.c.

## area_limit

MagickSizeType _ResourceInfo::area_limit

Definition at line 99 of file resource.c.

## disk

MagickOffsetType _ResourceInfo::disk

Definition at line 89 of file resource.c.

## disk_limit

MagickSizeType _ResourceInfo::disk_limit

Definition at line 102 of file resource.c.

## file

MagickOffsetType _ResourceInfo::file

Definition at line 90 of file resource.c.

## file_limit

MagickSizeType _ResourceInfo::file_limit

Definition at line 103 of file resource.c.

## height

MagickOffsetType _ResourceInfo::height

Definition at line 84 of file resource.c.

## height_limit

MagickSizeType _ResourceInfo::height_limit

Definition at line 97 of file resource.c.

## list_length

MagickOffsetType _ResourceInfo::list_length

Definition at line 85 of file resource.c.

## list_length_limit

MagickSizeType _ResourceInfo::list_length_limit

Definition at line 98 of file resource.c.

## map

MagickOffsetType _ResourceInfo::map

Definition at line 88 of file resource.c.

## map_limit

MagickSizeType _ResourceInfo::map_limit

Definition at line 101 of file resource.c.

## memory

MagickOffsetType _ResourceInfo::memory

Definition at line 87 of file resource.c.

## memory_limit

MagickSizeType _ResourceInfo::memory_limit

Definition at line 100 of file resource.c.

## thread

MagickOffsetType _ResourceInfo::thread

Definition at line 91 of file resource.c.

## thread_limit

MagickSizeType _ResourceInfo::thread_limit

Definition at line 104 of file resource.c.

## throttle

MagickOffsetType _ResourceInfo::throttle

Definition at line 92 of file resource.c.

## throttle_limit

MagickSizeType _ResourceInfo::throttle_limit

Definition at line 105 of file resource.c.

## time

MagickOffsetType _ResourceInfo::time

Definition at line 93 of file resource.c.

## time_limit

MagickSizeType _ResourceInfo::time_limit

Definition at line 106 of file resource.c.

## width

MagickOffsetType _ResourceInfo::width

Definition at line 83 of file resource.c.

## width_limit

MagickSizeType _ResourceInfo::width_limit

Definition at line 96 of file resource.c.

The documentation for this struct was generated from the following file:

- resource.c